Page MenuHomePhabricator

Create a Wikimedia hosted wiki site for Wikimedia Indonesia
Closed, ResolvedPublic

Description

Wiki configuration (mostly sent by email to @Urbanecm)

  • Extensions: Standard configuration, the unreviewed extensions at the original wiki can be disabled.
  • Type of wiki: Fishbowl
  • Local uploads: Yes
  • Skin: Vector (you can forgot what's currently used in the original wiki)
  • Site name: Wikimedia Indonesia
  • Site URL: id.wikimedia.org
  • Logo: https://commons.wikimedia.org/wiki/File:Wikimedia-logo-id.svg
  • Timezone: Asia/Jakarta
  • Category collation: Default
  • Shard: s3
  • Initial bureaucrats: User:Beeyan (biyanto.rebin@wikimedia.or.id) and User:Rachmat04 (rachmat.wahidi@wikimedia.or.id)

Initial task's description

Hi,

At the Wikimedia Conference 2018 in Berlin @Rachmat04 (User:Rachmat04) asked for my help with creating a WMF-hosted wiki site for Wikimedia Indonesia.

They currently have a wiki site at http://wikimedia.or.id/ . It should be migrated as closely to the source as possible. It doesn't have a lot of extensions, but it does appear to have some skin customization. The precise details of what should and shouldn't be migrated can be discussed here with @Rachmat04.

In particular, he told me that it's important to preserve all the currently uploaded files, and to allow further local uploading. Many of them are receipts that must be there for administering the finances.

To-Do list

TaskPatchStatus
Notify ops list-Done
Subtask for DBA/WMCS-Done
DNShttps://gerrit.wikimedia.org/r/429339Done
Apachehttps://gerrit.wikimedia.org/r/429342Done
RESTBasehttps://gerrit.wikimedia.org/r/429343Done
WikimediaMessageshttps://gerrit.wikimedia.org/r/429346Done
wmf-confighttps://gerrit.wikimedia.org/r/429385Done

Details

Related Gerrit Patches:
mediawiki/services/restbase/deploy : masterAdd new wikis to Restbase
operations/mediawiki-config : masterAdd idwikimedia to MWMutliVersion.php
operations/mediawiki-config : masterAdd 5 new wikis to wikiversions.json
mediawiki/services/parsoid : masterUpdate sitematrix.json
operations/mediawiki-config : masteridwikimedia: initial configuration
mediawiki/services/restbase/deploy : masteridwikimedia: add RESTBase configuration
operations/puppet : productionidwikimedia: add Apache configuration
operations/dns : masteridwikimedia: register on DNS
mediawiki/extensions/WikimediaMessages : masteridwikimedia: register project name

Related Objects

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes

@MarcoAurelio cannot do anything with this now - up to deployers to create a wiki for real.

Dzahn added a comment.May 30 2018, 1:38 AM

@Beeyan see the comment right above, he can't do anything with it. It needs a deployer to run createwiki.

@Reedy @Dereckson Can you reserve a window and create the wikis? This and T194879

@Beeyan see the comment right above, he can't do anything with it. It needs a deployer to run createwiki.

thanks!

Change 429385 merged by jenkins-bot:
[operations/mediawiki-config@master] idwikimedia: initial configuration

https://gerrit.wikimedia.org/r/429385

Change 438017 had a related patch set uploaded (by Reedy; owner: Reedy):
[operations/mediawiki-config@master] Add 5 new wikis to wikiversions.json

https://gerrit.wikimedia.org/r/438017

Change 438017 merged by jenkins-bot:
[operations/mediawiki-config@master] Add 5 new wikis to wikiversions.json

https://gerrit.wikimedia.org/r/438017

Change 438020 had a related patch set uploaded (by Reedy; owner: Reedy):
[operations/mediawiki-config@master] Add idwikimedia to MWMutliVersion.php

https://gerrit.wikimedia.org/r/438020

Change 438020 merged by jenkins-bot:
[operations/mediawiki-config@master] Add idwikimedia to MWMutliVersion.php

https://gerrit.wikimedia.org/r/438020

MarcoAurelio updated the task description. (Show Details)Jun 7 2018, 3:43 PM

Change 438033 had a related patch set uploaded (by Reedy; owner: Reedy):
[mediawiki/services/parsoid@master] Update sitematrix.json

https://gerrit.wikimedia.org/r/438033

Change 438033 merged by jenkins-bot:
[mediawiki/services/parsoid@master] Update sitematrix.json

https://gerrit.wikimedia.org/r/438033

Urbanecm assigned this task to Reedy.Jun 7 2018, 8:43 PM

Wikis were created by @Reedy, thank you! I'm reviewing if anything else needs to be done from our site (except import from Incubator, if applicable).

@Reedy: Can you run createAndPromote.php and create bureaucrat accounts as requested in the task's description? I cannot see them. Thanks!

Change 438094 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[mediawiki/services/restbase/deploy@master] Add new wikis to Restbase

https://gerrit.wikimedia.org/r/438094

Change 438094 merged by Mobrovac:
[mediawiki/services/restbase/deploy@master] Add new wikis to Restbase

https://gerrit.wikimedia.org/r/438094

Reedy added a comment.Jun 7 2018, 10:33 PM

@Reedy: Can you run createAndPromote.php and create bureaucrat accounts as requested in the task's description? I cannot see them. Thanks!

Should be done, password reset emails sent...

@Reedy: Can you run createAndPromote.php and create bureaucrat accounts as requested in the task's description? I cannot see them. Thanks!

Should be done, password reset emails sent...

Checked and logged in. My account worked well. Thank you. :)

Beeyan added a comment.Jun 8 2018, 5:54 AM

@Reedy: Can you run createAndPromote.php and create bureaucrat accounts as requested in the task's description? I cannot see them. Thanks!

Should be done, password reset emails sent...

Thanks @Reedy, my account worked well too.

Beeyan added a comment.Jun 8 2018, 6:33 AM

Dear @Reedy @Urbanecm @MarcoAurelio , we will start soon the content migration from our previous website (wikimedia.or.id) to id.wikimedia.org. Could you tell us the migration process? Thanks

Dzahn awarded a token.Jun 8 2018, 6:38 AM

@Beeyan If you want, I can do the content migration on your behalf. If you want me to do this, please create me an account (username: Martin Urbanec) with sysop privileges and send credentials to martin.urbanec@wikimedia.cz. Thanks!

Beeyan added a comment.Jun 8 2018, 6:46 AM

@Beeyan If you want, I can do the content migration on your behalf. If you want me to do this, please create me an account (username: Martin Urbanec) with sysop privileges and send credentials to martin.urbanec@wikimedia.cz. Thanks!

Thank you so much! Do you want to sysop privileges in both website? We can provide the data dumping too. But we're not so sure the process behind the WMF data dumping process. Thanks Martin

Beeyan awarded a token.Jun 8 2018, 6:48 AM
Beeyan rescinded a token.
Beeyan awarded a token.
Urbanecm added a comment.EditedJun 8 2018, 6:54 AM

@Beeyan Well, if you can download a XML dump from old website, it is relatively easy to import it using Special:Import at the WMF wiki. There can be some problems with namespaces and so on, so if you want, just send me dump and account credentials on the WMF wiki and I'll do it.

Beeyan added a comment.Jun 8 2018, 6:59 AM

@Beeyan Well, if you can download a XML dump from old website, it is relatively easy to import it using Special:Import at the WMF wiki. There can be some problems with namespaces and so on, so if you want, just send me dump and account credentials on the WMF wiki and I'll do it.

Done. I've made you the account. Please register and I'll change your user status. I need to notify the staffs and our member before migration to stop to edit in wikimedia.or.id.

Beeyan added a comment.Jun 8 2018, 6:59 AM

@Beeyan Well, if you can download a XML dump from old website, it is relatively easy to import it using Special:Import at the WMF wiki. There can be some problems with namespaces and so on, so if you want, just send me dump and account credentials on the WMF wiki and I'll do it.

Done. I've made you the account. Please register and I'll change your user status. I need to notify the staffs and our member before migration to stop to edit in wikimedia.or.id.

Urbanecm added a comment.EditedJun 8 2018, 7:00 AM

I received the credentials, thanks. Privileges should be sufficient. Thanks!

Rachmat04 added a comment.EditedJun 8 2018, 7:01 AM

@Beeyan Well, if you can download a XML dump from old website, it is relatively easy to import it using Special:Import at the WMF wiki. There can be some problems with namespaces and so on, so if you want, just send me dump and account credentials on the WMF wiki and I'll do it.

We will do this very soon. But, speaking about namespaces, we have a special namespace called "Internal" which were set to make the pages in this namespace be unable to read by unregistered users. This means, people who don't have access/username to this wiki is not able to read all pages inside it.

Is it possible to customize this namespace on this new WMF wiki?

http://www.wikimedia.or.id/w/api.php?action=query&meta=siteinfo&siprop=namespaces&formatversion=2

We can create you wiki called, for example, id-private.wikimedia.org, which will be readable only by registered users. As far as I know, WMF doesn't like namespace specific rights settings. The only one disadvantage is you will have to create two accounts, one on public wiki and one on private wiki. It will be a little bit more secure, because, for example, on your wiki I'm able to get list of pages in internal namespace.

Alright. Please give us some time to decide. Will let you know tomorrow at the most. Thank you!

Sure. When you will have the decision, just leave a comment, I'll create new task and start creation of the new wiki.

~1700 pages imported, ~1000 remaining. I can see you have some locally uploaded files. There are two ways how to deal with it: a) upload such files to commons b) locally upload them at the WMF wiki. What is preffered by you?

Beeyan added a comment.Jun 8 2018, 1:43 PM

~1700 pages imported, ~1000 remaining. I can see you have some locally uploaded files. There are two ways how to deal with it: a) upload such files to commons b) locally upload them at the WMF wiki. What is preffered by you?

b) is the most preferred because most of the files are our invoice for financial reports. If you can import all of the page and files, do you still need the xml data? Thanks!

XML is not necessary, I'm requesting the page data directly from your wiki. It doesn't matter what is the source of the data, if local XML dump or the wiki itself, it can be imported in the same way. I don't need other data/info/privileges for the files as well. Will do it.

For your information: I don't know if the original wiki is being edited during import process (which is still running), but if it is, some changes might be lost. It will be up to you to check if changes made since the importing started were caught or not.

Beeyan added a comment.Jun 8 2018, 2:34 PM

XML is not necessary, I'm requesting the page data directly from your wiki. It doesn't matter what is the source of the data, if local XML dump or the wiki itself, it can be imported in the same way. I don't need other data/info/privileges for the files as well. Will do it.
For your information: I don't know if the original wiki is being edited during import process (which is still running), but if it is, some changes might be lost. It will be up to you to check if changes made since the importing started were caught or not.

I'll ask anyone to stop to edit now. If you finish the update process. Let me know. Starting tomorrow, our office and activity will be dormant for 10 days, because of Eid al-Fitr holiday. If you need anything please ping me. If you can, please import all of the templates too and the files. Thanks again @Urbanecm, do you need the account to for wikimedia.or.id? I can make you too.

For the internal namespace's page, we choose to have id-private.wikimedia.org, because there's a lot of sensitives data in that namespace.

Thank you! private wiki) Ok, I will create another task and start the process to create a private wiki for you. importing) I'm going to import all content in your wiki, including discussions, user pages, files, categories and so on. I just started with main namespace, I will continue with other things when main namespace will be imported. If there is particular namespace you DO NOT WANT to be imported, please let me know. I will skip Internal for apparent reasons (it is not supposed to be in this wiki).

Beeyan added a comment.Jun 8 2018, 3:00 PM

You can import all of the data, but leave the Internal namespace only for id-private.wikimedia.org. I've made you an account for wikimedia.or.id, in case you need anything with the same credential like in id.wikimedia.org. Thanks!

I've created T196747 for the private wiki thing.

@Beeyan Unfortunately, I'm not able to log in on wikimedia.or.id. I didn't receive an email with password, so I have nothing to log in with.

Hi @Urbanecm, have you tried to reset its password? @Beeyan have created a username for you, but it seems like the system failed to send the credential to your email.

(Log perubahan hak akses); 21.59 . . Biyanto (bicara | kontrib | blokir) mengubah keanggotaan grup Pengguna:Martin Urbanec dari (tidak ada) menjadi pengurus dan birokrat ‎
(Log pengguna baru); 21.58 . . Akun pengguna Martin Urbanec (bicara | kontrib | blokir) dibuat oleh Biyanto (bicara | kontrib | blokir) dan password dikirim melalui surel ‎

If you failed to reset its password, I am able to create a new username.

Urbanecm added a comment.EditedJun 8 2018, 4:12 PM

I've tried to reset it, no email came (I even checked the mailserver logs for wikimedia.cz, there's no record about a mail from your system). The system refuses to send more than 1 password reset for one account in 24 hours. I can wait (I don't need the account before importing data in internal namespace, this must wait for the wiki to be created) and reset password again then. Or, you can change $wgPasswordReminderResendTime on your wiki to, for example, 0.1 to make the waiting period smaller. But it isn't urgent, I won't need the account for at least a week (because I don't think I'll be able to get a private wiki for you before that time).

Alright, if the system is not responding when you try to reset it later, please let me know. I might be able to fix the $wgPasswordReminderResendTime thing in our wiki.

Dzahn removed a subscriber: Dzahn.Jun 12 2018, 3:35 PM
Urbanecm closed this task as Resolved.Jun 12 2018, 7:34 PM

Wikis are created. Some minor problems might be still be reopened, but wiki is operational and no big problems are reported. Should you see problems, please fill a new task.